Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

failed to build Verilator with GCC 4.8.1 #748

Closed
veripoolbot opened this issue Apr 22, 2014 · 5 comments
Closed

failed to build Verilator with GCC 4.8.1 #748

veripoolbot opened this issue Apr 22, 2014 · 5 comments

Comments

@veripoolbot
Copy link

@veripoolbot veripoolbot commented Apr 22, 2014


Author Name: Jie Xu (@jiexu)
Original Redmine Issue: 748 from https://www.veripool.org
Original Date: 2014-04-22


Got following errors:

/usr/bin/flex --version
/usr/bin/flex version 2.5.4
/usr/bin/flex -d -oV3Lexer_pregen.yy.cpp ../verilog.l
/ic/sw/perl5.10.1/bin/perl ../flexfix V3Lexer <V3Lexer_pregen.yy.cpp >V3Lexer.yy.cpp
g++ -I/usr/local/include -MMD -I. -I.. -I.. -I../../include -DYYDEBUG    -ggdb -DVL_DEBUG -MP  -DDEFENV_SYSTEMC=\"\" -DDEFENV_SYSTEMC_ARCH=\"\" -DDEFENV_SYSTEMC_INCLUDE=\"\" -DD
EFENV_SYSTEMC_LIBDIR=\"\" -DDEFENV_SYSTEMPERL=\"\" -DDEFENV_SYSTEMPERL_INCLUDE=\"\" -DDEFENV_VERILATOR_ROOT=\"/tools/simulator/src/verilator_template\" -Wno-unused -c ../V3Parse
Lex.cpp
In file included from ../V3ParseLex.cpp:37:0:
V3Lexer_pregen.yy.cpp:241:18: error: expected unqualified-id before numeric constant
 #define yywrap() 1
                   ^
In file included from ../V3ParseLex.cpp:37:0:
V3Lexer_pregen.yy.cpp: In member function 'virtual int V3LexerBase::yylex()':
V3Lexer_pregen.yy.cpp:3461:10: error: 'yy_current_buffer' was not declared in this scope
    if ( ! yy_current_buffer )

@veripoolbot

This comment has been minimized.

Copy link
Author

@veripoolbot veripoolbot commented Apr 22, 2014


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2014-04-22T12:40:31Z


That's an old flex relative to a new gcc, maybe a new flex will fix it. Otherwise perhaps you could debug and provide a patch?

@veripoolbot

This comment has been minimized.

Copy link
Author

@veripoolbot veripoolbot commented Apr 30, 2014


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2014-04-30T02:04:18Z


Any luck?

@veripoolbot

This comment has been minimized.

Copy link
Author

@veripoolbot veripoolbot commented Apr 30, 2014


Original Redmine Comment
Author Name: Jie Xu (@jiexu)
Original Date: 2014-04-30T07:33:33Z


Sorry, don't have time to investigate yet. Not critical for us as we have multiple GCC versions.

@veripoolbot

This comment has been minimized.

Copy link
Author

@veripoolbot veripoolbot commented May 16, 2014


Original Redmine Comment
Author Name: Jie Xu (@jiexu)
Original Date: 2014-05-16T12:07:19Z


The issue exists with flex 2.5.4 and gcc 4.8.1. With flex 2.5.35 and gcc 4.8.1, there is no issue.

@veripoolbot

This comment has been minimized.

Copy link
Author

@veripoolbot veripoolbot commented May 16, 2014


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2014-05-16T13:36:14Z


Thanks. It's a flex issue then, so I don't think there's anything Verilator needs to do.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.